Package Details: libtomcrypt 1.18.2-1

Git Clone URL: https://aur.archlinux.org/libtomcrypt.git (read-only, click to copy)
Package Base: libtomcrypt
Description: A fairly comprehensive, modular and portable cryptographic toolkit
Upstream URL: https://www.libtom.net/LibTomCrypt/
Licenses: custom:PublicDomain
Submitter: manveru
Maintainer: andreyv
Last Packager: andreyv
Votes: 8
Popularity: 0.000019
First Submitted: 2007-06-08 04:58
Last Updated: 2019-06-15 08:57

Latest Comments

1 2 3 Next › Last »

andreyv commented on 2020-10-22 05:22

The key is available: https://keyserver.ubuntu.com/pks/lookup?op=get&search=0xc4386a237ed43a475541b9427b2cd0dd4bcff59b

ShayBox commented on 2020-10-21 21:59

Signed with missing key not available on any keyserver, not installable.

andreyv commented on 2020-07-08 15:35

Hi,

You don't need to specify matching defines. You only need to define what you intend to use.

Ubuntu and Fedora also use the same approach and don't modify the header.

pattyo commented on 2020-07-08 05:45

I think that instead of specifying LTM_DESC and GMP_DESC in CFLAGS during build time this PKGBUILD should modify tomcrypt_custom.h to uncomment the #defines.

Otherwise, when linking with the shared library a user needs to know how the library was built and specify matching *_DESC defines before including tomcrypt.h.

I can prepare a PKGBUILD with these modifications if you agree.

andreyv commented on 2020-06-06 17:27

Arch Linux typically doesn't provide static libraries. In fact, the libtommath static library just got dropped from the official repos.

The build uses libtool, which adds -fPIC by default for shared libraries.

TheAifam5 commented on 2020-06-01 20:19

The package is missing static library. libtommath provides it. Add options=(staticlibs) Also libraries should use -fPIC.

andreyv commented on 2017-01-15 09:56

One more packaging problem: header files are installed with executable permissions, and the group of some files is "wheel": https://paste.debian.net/908821/

andreyv commented on 2016-07-22 15:15

Hi,

This line: export CFLAGS="-DLTM_DESC -DGMP_DESC"

should be: export CPPFLAGS+=" -DLTM_DESC -DGMP_DESC"

(append instead of replacing and use CPPFLAGS instead of CFLAGS). Otherwise default flags from makepkg are not used. If CPPFLAGS doesn't work, then CFLAGS+= is good enough too.

jamesan commented on 2016-07-11 19:57

Thanks for catching that. I've pointed the PKGBUILD to the new official source tarballs on GitHub. I also cleaned up the PKGBUILD a bit.

PureTryOut commented on 2016-07-04 17:13

Can't currently be installed due to the validation failing. It seems like the links in the sources are dead, it's probably best to replace them for files straight from the Github master branch.